#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int t;
    cin>>t;
    int n,k;
    long long m;
    string resenja[t];
    for(int i=0;i<t;i++){
        cin>>n>>m>>k;
        vector <int> grupe(k,n/k);
        int x=n%k;
        for(int j=0;j<x;j++){
            grupe[j]++;
        }
        long long zbir=0;
        for(int j=0;j<k;j++){
            zbir+=(grupe[j]*(grupe[j]+1)/2);
        }
        if(zbir>m){
            resenja[i]="Nie";
        }
        else{
            resenja[i]="Tak";
        }
    }
    for(int i=0;i<t;i++){
        cout<<resenja[i]<<endl;
    }
    return 0;
}